import { Path } from '@angular-devkit/core';
import { Tree } from '@angular-devkit/schematics';
export interface FindOptions {
    name?: string;
    path: Path;
    kind?: string;
}
export declare class ModuleFinder {
    private tree;
    constructor(tree: Tree);
    /**
     * Finds the module file in the given path.
     *
     * @param options - The options for finding the module, including the path.
     * @returns The path to the module file, or null if not found.
     */
    find(options: FindOptions): Path | null;
    /**
     * Recursively searches for the module file in the given directory.
     *
     * @param directory - The directory to search in.
     * @returns The path to the module file, or null if not found.
     */
    private findIn;
}
