import { Rule, Tree } from '@angular-devkit/schematics';
/**
 * Checks if the current directory is the root directory.
 *
 * @param host - The file tree representing the project.
 * @param extraFiles - Additional files to check for in the root directory.
 * @returns True if the current directory is the root directory, otherwise false.
 */
export declare function isInRootDirectory(host: Tree, extraFiles?: string[]): boolean;
/**
 * Merges the source root with the provided options.
 * @param options - The options to merge with the source root.
 * @returns A rule to merge the source root with the provided options.
 */
export declare function mergeSourceRoot<T extends {
    sourceRoot?: string;
    path?: string;
} = never>(options: T): Rule;
